Uninstall app
curl --request DELETE \
--url https://api.hubapi.com/appinstalls/2026-03/external-install \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/appinstalls/2026-03/external-install"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/appinstalls/2026-03/external-install', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}App Uninstalls
Uninstall app
Use this endpoint to uninstall your app from a customer’s HubSpot account. If successful, this endpoint will return a 204 and the customer will receive an email notification that the developer has uninstall the app from their account.
DELETE
/
appinstalls
/
2026-03
/
external-install
Uninstall app
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Response
Last modified on March 31, 2026
Was this page helpful?
⌘I